package dev.adriankuta.flights.domain.stations

import dev.adriankuta.flights.domain.types.AirportInfo
import dev.adriankuta.flights.domain.types.Country
import kotlinx.coroutines.flow.Flow

fun interface ObserveAirportsGroupedByCountry {
    operator fun invoke(): Flow<Map<Country, List<AirportInfo>>?>
}
